/*
 * burgerPotgieter.h
 *
 *      Author: kappl
 */

#ifndef BURGERPOTGIETER_H_
#define BURGERPOTGIETER_H_

#include "particle.h"

/**
 * @brief Class to implement the model of Burger & Potgieter
 */
class BurgerPotgieter : public Particle
{
	private:
	double getKappaParallel() const;
	double getKappaRR() const;

	double getDriftR() const;
	double getDriftTheta() const;
	double getDriftSheetR() const;

	double getDeltaR(Random&) const;
	double getDeltaTheta(Random&) const;

	void calculate();

	public:
	BurgerPotgieter(const TmodelInformation&, const Tproperties&);
	virtual ~BurgerPotgieter();

	double getISFlux(int) const;
};

#endif /* BURGERPOTGIETER_H_ */
