/*
 * constants.cc
 *
 *      Author: kappl
 */

#include "constants.h"

namespace Constants
{
	/**
	 * @brief Definition of the constant pi
	 */
	extern const double pi(3.1415926535);
	/**
	 * @brief Definition of the averaged angular rotation of the sun
	 */
	extern const double Omega = 2.866*pow(10,-6);
	/**
	 * @brief Numerical constant for the heliospheric magnetic field in T AU^-2
	 */
	extern const double A = 3.4*pow(10,-9);
	/**
	 * @brief Radial position of the earth in the heliosphere in AU
	 */
	extern const double positionEarth = 1.;
	/**
	 * @brief Time limit after which the propagation of a pseudo-particle should be stopped
	 */
	extern const long timeLimit = 50000000;
}

