/*
 * constants.h
 *
 *      Author: kappl
 */

#ifndef CONSTANTS_H_
#define CONSTANTS_H_

#include <cmath>
#include <map>

namespace Constants
{
	/**
	 * @brief Definition of the constant pi
	 */
	extern const double pi;
	/**
	 * @brief Definition of the averaged angular rotation of the sun
	 */
	extern const double Omega;
	/**
	 * @brief Numerical constant for the heliospheric magnetic field in T AU^-2
	 */
	extern const double A;
	/**
	 * @brief Radial position of the earth in the heliosphere in AU
	 */
	extern const double positionEarth;
	/**
	 * @brief Time limit after which the propagation of a pseudo-particle should be stopped
	 */
	extern const long timeLimit;
};

#endif /* CONSTANTS_H_ */
