/*
 * custom.cc
 *
 *      Author: kappl
 */

#include "custom.h"
#include <cmath>
#include <chrono>
#include <iostream>

/**
 * @brief Constructor
 *
 * @param modelInfo Model information from import.cc
 * @param sp Particle properties
 */
Custom::Custom(const TmodelInformation &modelInfo, const Tproperties &sp) : Particle(modelInfo, sp) {

}

/**
 * @brief Destructor
 */
Custom::~Custom() {
}

/**
 * @brief Getter for delta r
 *
 * @param rNum random number class
 *
 * @return delta r
 */
double Custom::getDeltaR(Random &rNum) const {
	double rr_num = rNum.getNumber();
	return rr_num;
}
