/*
 * density.h
 *
 *      Author: kappl
 */

#ifndef DENSITY_H_
#define DENSITY_H_

#include "Iparticle.h"
#include "stringconst.h"
#include <vector>
#include <memory>

/**
 * @brief Collection (vector) of particles
 */
class Density
{
	private:
	std::vector<IParticle*> particles;

	public:
	Density(const TmodelInformation&, const Tproperties&);
	~Density();

	void simulate();
	IParticle * getParticle(int);
	int getTotalNumber() const;
	IParticle * createParticle(const TmodelInformation&, const Tproperties&) const;
};

#endif /* DENSITY_H_ */
