/*
 * fileHelper.h
 *
 *      Author: kappl
 */

#ifndef FILEHELPER_H_
#define FILEHELPER_H_

#include <iostream>
#include <vector>
#include <map>
#include <string>
#include <sstream>
#include <fstream>

#include "stringconst.h"

/**
 * @brief File Handler to read and write text files
 */
class FileHelper
{
	public:
	FileHelper();
	~FileHelper();
	template <typename T1, typename T2> std::map<T1,T2> readFile(std::string, int, int);
	void writeText(std::string, const std::vector<double>&, const std::vector<std::vector<double>>&, int);
	std::string checkFormat(std::string);
	std::map<std::pair<int, int>, double> readNeutronMonitorData(std::string);
};


#endif /* FILEHELPER_H_ */
