/*
 * jokipiiKopriva.h
 *
 *      Author: kappl
 */

#ifndef JOKIPIIKOPRIVA_H_
#define JOKIPIIKOPRIVA_H_

#include "particle.h"

/**
 * @brief Class to implement the model of Jokipii & Kopriva
 */
class JokipiiKopriva : public Particle
{
	private:
	double getKappaRR() const;
	double getKappaParallel() const;

	double getDriftR() const;
	double getDriftTheta() const;
	double getDriftSheetR() const;

	double getDeltaR(Random&) const;
	double getDeltaTheta(Random&) const;

	void calculate();

	public:
	JokipiiKopriva(const TmodelInformation&, const Tproperties&);
	virtual ~JokipiiKopriva();

	double getISFlux(int) const;
};

#endif /* JOKIPIIKOPRIVA_H_ */
