/*
 * potgieterMoraal.h
 *
 *      Author: kappl
 */

#ifndef POTGIETERMORAAL_H_
#define POTGIETERMORAAL_H_

#include "particle.h"

/**
 * @brief Class to implement the model of Potgieter & Moraal
 */
class PotgieterMoraal : public Particle
{
	private:
	double getf() const;
	double getfprime() const;
	double getalphaH() const;
	double getKappaParallel() const;
	double getKappaRR() const;

	double getDriftR() const;
	double getDriftTheta() const;
	double getDriftSheetR() const;

	double getDeltaR(Random&) const;
	double getDeltaTheta(Random&) const;

	void calculate();

	public:
	PotgieterMoraal(const TmodelInformation&, const Tproperties&);
	virtual ~PotgieterMoraal();

	double getISFlux(int) const;
};

#endif /* POTGIETER_MORAAL_H_ */
