/*
 * random.h
 *
 *      Author: kappl
 */

#ifndef RANDOM_H_
#define RANDOM_H_

#include <random>
#include "constants.h"

/**
 * @brief Class for the random number generation
 */
class Random
{
	public:
	/**
	 * @brief Random number engine
	 */
	std::default_random_engine generator;
	/**
	 * @brief Normal (gaussian) distribution of random numbers
	 */
	std::normal_distribution<double> normal_dist;
	Random(std::default_random_engine);
	Random(int);
	~Random();
	double getNumberBoxMuller();
	double getNumber();
	double getRandZero2Pi();
};

#endif /* RANDOM_H_ */
