/*
 * standard2D.h
 *
 *      Author: kappl
 */

#ifndef STANDARD2D_H_
#define STANDARD2D_H_

#include "particle.h"

/**
 * @brief Class to implement the standard2D model
 */
class Standard2D : public Particle
{
	private:
	double getf() const;
	double getfprime() const;
	double getalphaH() const;
	double getKappaParallel() const;
	double getKappaRR() const;

	double getDriftR() const;
	double getDriftTheta() const;
	double getDriftSheetR() const;

	double getDeltaR(Random&) const;
	double getDeltaTheta(Random&) const;
	void calculate();

	public:
	Standard2D(const TmodelInformation&, const Tproperties&);
	virtual ~Standard2D();

	double getISFlux(int) const;
};

#endif /* STANDARD2D_H_ */
