/*
 * stringconst.cc
 *
 *      Author: kappl
 */

#include "stringconst.h"

const std::string Stringconst::warningNoMass = "Warning: No mass for cosmic ray species determined in control file. Use 0.938 GeV as default.";
const std::string Stringconst::warningNoCharge = "Warning: No charge for cosmic ray species determined in control file. Use +1 as default.";
const std::string Stringconst::warningModelNotAllowed = "Warning: Model cannot be found. Use ref1 instead.";
const std::string Stringconst::warningNoModel = "Warning: No model determined in control file. Use ref1 as default.";
const std::string Stringconst::warningNoTiltModel = "Warning: No tilt Model determined in control file. Use R model as default.";
const std::string Stringconst::warningNoYear = "Warning: No year for determination of tilt angle determined in control file. Use 2014 as default.";
const std::string Stringconst::warningNoMonth = "Warning: No month for determination of tilt angle determined in control file. Average over the whole year will be used.";
const std::string Stringconst::warningNoPolarity = "Warning: No polarity determined in control file. Use +1 as default.";
const std::string Stringconst::warningNoTiltAngle = "Warning: No tilt angle determined in control file. Use 0 as default.";
const std::string Stringconst::warningNoOutputFormat = "Warning: No output format determined in control file. Use Text as default.";
const std::string Stringconst::warningWrongTypeFirst = "Warning: Input for ";
const std::string Stringconst::warningWrongTypeSecond = " is of wrong type. Value will be ignored.";
const std::string Stringconst::warningInvalidTiltModel = "Warning: Provided tilt model is invalid (not L or R). Use R model as default.";
const std::string Stringconst::warningNoMassFound = "Warning: Mass for the given (A,Z) CR species not found.";
const std::string Stringconst::warningNoISFlux = "Warning: No interstellar flux for CR species provided. Will use zero flux instead, result will be useless.";
const std::string Stringconst::warningNoNMValue = "Warning: No neutron monitor value is provided. Will use 500 instead.";

const std::string Stringconst::modelYamada = "ref1";
const std::string Stringconst::modelJokipii = "ref2";
const std::string Stringconst::modelPotgieter = "ref3";
const std::string Stringconst::modelBurger = "ref4";
const std::string Stringconst::modelStandard2D = "standard2D";
const std::string Stringconst::modelCustom = "custom";

const std::string Stringconst::infoModel = "Determined model: ";
const std::string Stringconst::infoNoForceField = "No force field value phi determined in control file. No force field approximation will be computed.";
const std::string Stringconst::infoNoModNumber = "All given cosmic ray species will be modulated.";
const std::string Stringconst::infoFITSFormat = "Import file is in FITS format.";
const std::string Stringconst::infoTextFormat = "Import file is in Text format.";
const std::string Stringconst::infoNoFlux = "No import file provided. Take default local interstellar flux.";
const std::string Stringconst::infoPolarity = "Computed polarity is: ";
const std::string Stringconst::infoAngle = "Computed tilt angle is: ";
const std::string Stringconst::infoDRAGON = "Import file is from DRAGON.";
const std::string Stringconst::infoGALPROP = "Import file is from GALPROP.";
const std::string Stringconst::infoSimulate = "Simulate particles with initial energy ";
const std::string Stringconst::infoSpeciesFirst = "There are ";
const std::string Stringconst::infoSpeciesSecond = " different CR species stored in the FITS file.";
const std::string Stringconst::infoData = "All data read from file ";
const std::string Stringconst::infoFITSOutput = "Write computed data to FITS file ";
const std::string Stringconst::infoTextOutput = "Write computed data to Text file ";
const std::string Stringconst::infoModulateFirst = "Modulate cosmic rays with mass ";
const std::string Stringconst::infoModulateSecond = " and charge ";
const std::string Stringconst::infoVersion = "This is SOLARPROP version 1.0";
const std::string Stringconst::infoSuccess = "SOLARPROP finished. All jobs done";
const std::string Stringconst::infoMass = "Determined CR mass (GeV): ";
const std::string Stringconst::infoCharge = "Determined CR charge: ";
const std::string Stringconst::infoForceField = "Determined force field (GV): ";
const std::string Stringconst::infoModNumber = "Determined modNumber: ";
const std::string Stringconst::infoTiltModel = "Determined tilt model: ";
const std::string Stringconst::infoYear = "Determined year for tilt angle calculation: ";
const std::string Stringconst::infoMonth = "Determined month for tilt angle calculation: ";
const std::string Stringconst::infoYearEnd = "Determined end year for tilt angle calculation: ";
const std::string Stringconst::infoMonthEnd = "Determined end month for tilt angle calculation: ";
const std::string Stringconst::infoPolarityDet = "Determined polarity is: ";
const std::string Stringconst::infoAngleDet = "Determined tilt angle is: ";
const std::string Stringconst::infoOutput = "Determined output format: ";
const std::string Stringconst::infoKappa = "Determined normalization for diffusion tensor: ";
const std::string Stringconst::infoB = "Determined normalization for solar magnetic field: ";
const std::string Stringconst::infoIndex = "Output will be multiplied by T^index with index = ";
const std::string Stringconst::infoTotalNumber = "Determined number of CR pseudo particles for each energy bin: ";
const std::string Stringconst::infoNoTotalNumber = "Number of CR pseudo particles for each energy bin: 1000";
const std::string Stringconst::infoDeltaTime = "Manual given step size dt is: ";
const std::string Stringconst::infoExtraBins = "Determined number of extra data bins is: ";
const std::string Stringconst::infoNMDet = "Determined neutron monitor value is: ";
const std::string Stringconst::infoNMValue = "Computed neutron monitor value is: ";
const std::string Stringconst::infoKappaComputation = "Calculated diffusion tensor rescaling is: ";
const std::string Stringconst::infoSteps = "Average number of simulation steps: ";

const std::string Stringconst::errorOpenFile = "Unable to open file.";
const std::string Stringconst::errorControlMissing = "-c, --control option requires one argument.";
const std::string Stringconst::errorAngleMissing = "-a, --angle option requires one argument.";
const std::string Stringconst::errorOutputMissing = "-o, --output option requires one argument.";
const std::string Stringconst::errorInputMissing = "-i, --input option requires one argument.";
const std::string Stringconst::errorArgumentMissingFirst = "Usage: ";
const std::string Stringconst::errorArgumentMissingSecond = " -c, --control CONTROL FILE SOURCE";
const std::string Stringconst::errorModNumber= "Error: Provided modNumber is incompatible (too large) with input.";
const std::string Stringconst::errorEnd = "SOLARPROP terminated with an error";
const std::string Stringconst::errorNMMissing = "-n, --neutron option requires one argument.";
