/*
 * stringconst.h
 *
 *      Author: kappl
 */

#ifndef STRINGCONST_H_
#define STRINGCONST_H_

#include <string>

/**
 * @brief Struct with all string constants
 */
struct Stringconst {
	static const std::string warningNoMass;
	static const std::string warningNoCharge;
	static const std::string warningModelNotAllowed;
	static const std::string warningNoModel;
	static const std::string warningNoTiltModel;
	static const std::string warningNoYear;
	static const std::string warningNoMonth;
	static const std::string warningNoPolarity;
	static const std::string warningNoTiltAngle;
	static const std::string warningNoOutputFormat;
	static const std::string warningWrongTypeFirst;
	static const std::string warningWrongTypeSecond;
	static const std::string warningInvalidTiltModel;
	static const std::string warningNoMassFound;
	static const std::string warningNoISFlux;
	static const std::string warningNoNMValue;

	static const std::string modelYamada;
	static const std::string modelJokipii;
	static const std::string modelPotgieter;
	static const std::string modelBurger;
	static const std::string modelStandard2D;
	static const std::string modelCustom;

	static const std::string infoModel;
	static const std::string infoNoForceField;
	static const std::string infoNoModNumber;
	static const std::string infoFITSFormat;
	static const std::string infoTextFormat;
	static const std::string infoNoFlux;
	static const std::string infoPolarity;
	static const std::string infoAngle;
	static const std::string infoDRAGON;
	static const std::string infoGALPROP;
	static const std::string infoSimulate;
	static const std::string infoSpeciesFirst;
	static const std::string infoSpeciesSecond;
	static const std::string infoData;
	static const std::string infoFITSOutput;
	static const std::string infoTextOutput;
	static const std::string infoModulateFirst;
	static const std::string infoModulateSecond;
	static const std::string infoVersion;
	static const std::string infoSuccess;
	static const std::string infoMass;
	static const std::string infoCharge;
	static const std::string infoForceField;
	static const std::string infoModNumber;
	static const std::string infoTiltModel;
	static const std::string infoYear;
	static const std::string infoMonth;
	static const std::string infoYearEnd;
	static const std::string infoMonthEnd;
	static const std::string infoPolarityDet;
	static const std::string infoAngleDet;
	static const std::string infoOutput;
	static const std::string infoKappa;
	static const std::string infoB;
	static const std::string infoIndex;
	static const std::string infoTotalNumber;
	static const std::string infoNoTotalNumber;
	static const std::string infoDeltaTime;
	static const std::string infoExtraBins;
	static const std::string infoNMDet;
	static const std::string infoNMValue;
	static const std::string infoKappaComputation;
	static const std::string infoSteps;

	static const std::string errorOpenFile;
	static const std::string errorControlMissing;
	static const std::string errorAngleMissing;
	static const std::string errorOutputMissing;
	static const std::string errorInputMissing;
	static const std::string errorArgumentMissingFirst;
	static const std::string errorArgumentMissingSecond;
	static const std::string errorModNumber;
	static const std::string errorEnd;
	static const std::string errorNMMissing;
};

#endif /* STRINGCONST_H_ */
