/*
 * yamada.h
 *
 *      Author: kappl
 */

#ifndef YAMADA_H_
#define YAMADA_H_

#include "particle.h"

/**
 * @brief Class to implement the model of Yamada et al.
 */
class Yamada : public Particle
{
	protected:
	double getKappaRR() const;
	double getDeltaR(Random&) const;

	public:
	Yamada(const TmodelInformation&, const Tproperties&);
	virtual ~Yamada();

	double getISFlux(int) const;
};

#endif /* YAMADA_H_ */
